Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-07-10 14:34:34 +0400
committerJunio C Hamano <junkio@cox.net>2006-07-14 10:10:21 +0400
commit57a39690b936c003662b6710241732b980e58790 (patch)
tree969d9d54900dc423f7ed65854d60dec7d687f9de /git-clone.sh
parent4b7ce6e2d6ba088da50de1df38b040ea2c0b8f18 (diff)
fetch/clone: check return status from ls-remote
Some callers of ls-remote did not check its return status.
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 0368803883..a92b22a13d 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -266,7 +266,7 @@ yes,yes)
echo "$repo/objects" >> "$GIT_DIR/objects/info/alternates"
;;
esac
- git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD"
+ git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD" || exit 1
;;
*)
case "$repo" in
@@ -296,7 +296,7 @@ yes,yes)
done
rm -f "$GIT_DIR/TMP_ALT"
fi
- git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD"
+ git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD" || exit 1
;;
http://*)
if test -z "@@NO_CURL@@"